=== debian/changelog ===
shogun (0.9.3-4ubuntu9) natty; urgency=low

  * Package still needs hard-coding of the python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Dec 2010 02:04:02 +0100

shogun (0.9.3-4ubuntu8) natty; urgency=low

  * Don't hard-code the python version in the control file. LP: #688721.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Dec 2010 01:10:06 +0100

shogun (0.9.3-4ubuntu6) natty; urgency=low

  * Don't depend on python-all-dev, but on python-dev only.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Dec 2010 22:07:19 +0100

shogun (0.9.3-4ubuntu5) natty; urgency=low

  * Fix build failure with ld --as-needed.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Dec 2010 11:18:21 +0100

shogun (0.9.3-4ubuntu4) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:14:32 +0000

shogun (0.9.3-4ubuntu3) maverick; urgency=low

  * Build with -O1 on armel, timeouts on the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Sep 2010 13:38:39 +0200

shogun (0.9.3-4ubuntu2) maverick; urgency=low

  * No change upload to build with new liblzma-dev.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Sep 2010 18:59:37 +0200

shogun (0.9.3-4ubuntu1) maverick; urgency=low

  * Update from Debian Unstable to fix FTBFS. New Ubuntu changes:
    - Revert bump in python-numpy version requirements due to dh_numpy
    - Restore recommends on python-numpy due to lack of dh_numpy
    - Drop dh_numpy calls from debian/rules

 -- Scott Kitterman <scott@kitterman.com>  Wed, 25 Aug 2010 20:01:30 -0400

shogun (0.9.3-4) unstable; urgency=high

  * Workaround cdbs problem and hopefully only create doxygen doc once.
    - This should be a workaround for the FTBS caused by doxygen bugs.
    - Therefore increasing urgency to high.

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 17 Aug 2010 21:16:30 +0200

shogun (0.9.3-3) unstable; urgency=low

  * Do not call make doc on arch-dep targets but on indep only avoiding
    doxygen doc builds more than once.
  * Convert package to pysupport and call dh_numpy manually upon install
    (Closes: #590731).

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 30 Jul 2010 21:16:49 +0200

shogun (0.9.3-2) unstable; urgency=low

  * Bump standards version to 3.9.1.0 (no changes required).
  * Use different logic to workaround FTBS with newer doxygen versions
  (Closes: #590422)
  * Add upstream patches to 
    - tolerate column vectors in hdf5 (hdf5_tolerate_column_vectors.patch)
    - fix a invalid free in ocas (ocas_free.patch)
    - add swig 2.0 support (swig2.0.patch)
    - wrap python files within the python-modular interface
      (swig_file_support.patch)
    - to add further safety checks for the linear kernel
      (linear_kernel_parameters.patch)
 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 27 Jul 2010 09:24:22 +0200

shogun (0.9.3-1) unstable; urgency=low

  * New upstream version with feature enhancements, cleanups and bugfixes.
    - soname change requires package renames to libshogun8 and libshogunui5.
    - Drop patches included upstream.

 -- Soeren Sonnenburg <sonne@debian.org>  Mon, 31 May 2010 15:43:45 +0200

shogun (0.9.2-1) unstable; urgency=low

  * New upstream version with feature enhancements, cleanups and bugfixes.
    - Switch to dpkg-source 3.0 (quilt) format.
    - Update copyright.
    - Drop patches included upstream.
    - Build depend on libhdf5-serial-dev to support hdf5 based i/o.
    - Apply patch from svn to fix libshogunui static file.

 -- Soeren Sonnenburg <sonne@debian.org>  Mon, 05 Apr 2010 15:33:33 +0200

shogun (0.9.1-2) unstable; urgency=low

  * Add support fro Renesas SH (thanks Nobuhiro Iwamatsu for the patch
  configure.diff): (Closes: #568825)
  * Workaround doxygen FTBS (patch doxygen.diff) (Closes: #568612)
  * Apply upstream patches to limit training time in libsvm and mc svm
  (patches libsvm_mc_time_limit.diff, libsvm_time_limit.diff)
  * Apply upstream patch to fix get_kernel_matrix etc for custom kernels
  (custom_kernel_init.diff)
  * Apply upstream patch improving error message (hmm_observations.diff)
  * Apply upstream patch correcting a wrong liblinear sign flip
  (sign_flip_liblinear.diff)
  * Bump standards version (no changes required).

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 09 Feb 2010 09:27:18 +0100

shogun (0.9.1-1) unstable; urgency=low

  * New upstream version with feature enhancements, cleanups and bugfixes.
  * Drop configure patch to workaround FTBS (included upstream).
  * Build depend on liblzo2-dev, zlib1g-dev, liblzma-dev to support
  shoguns compressed files.
  * Add patch from upstream svn to fix get_w() and set_w() for linear
  classifiers.
  * Use publicly available svn url for debian sources (Closes: #556096).
  * Rename shogun-doc package to shogun-doc-en and build chinese documentation
  and include it in package shogun-doc-cn.
  * Update copyright.

 -- Soeren Sonnenburg <sonne@debian.org>  Thu, 19 Nov 2009 15:14:36 +0100

shogun (0.9.0-2) unstable; urgency=low

  * Add glpk to build depends to enable multiple kerel learning.
  * Include configure patch to workaround FTBS.

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 27 Oct 2009 14:54:10 +0100

shogun (0.9.0-1) unstable; urgency=low

  * New upstream version with major feature enhancements, cleanups
  and documentation updates.
  * Build depend on libreadline-dev | libreadline5-dev.
  * Build depend on doxygen (>= 1.6.0).
  * Build depend on swig (>= 1.3.40).
  * Drop octave3.0 support and compile for octave3.2.
  * Update copyright.

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 23 Oct 2009 18:40:05 +0200

shogun (0.8.0-2) unstable; urgency=low

  * Fix override disparity (put libs in section lib).
  * Fix linitian warning, shogun-dbg now depends on
  libshogun and libshogunui.
  * Build depend on libreadline-dev instead of libreadline5-dev.

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 13 Sep 2009 16:01:04 +0200

shogun (0.8.0-1) unstable; urgency=low


