=== debian/changelog ===
shogun (0.10.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply upstream patch to fix FTBFS with new gcc (closes: #625115).  Thanks,
    Sebastian Ramacher!

 -- Julien Cristau <jcristau@debian.org>  Fri, 24 Jun 2011 20:30:58 +0200

shogun (0.10.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Soeren Sonnenburg <sonne@debian.org>  Mon, 14 Feb 2011 11:10:50 +0100

shogun (0.10.0-1) experimental; urgency=low

  * New upstream version with major feature enhancements.
    - Fix build with ld --as-needed thanks Matthias Klose
      for the patch. (Closes:  #606018)
    - Cherry pick patches from upstream svn-trunk to fix build failure.

 -- Soeren Sonnenburg <sonne@debian.org>  Wed, 12 Jan 2011 17:29:40 +0100
