=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: shogun
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Soeren Sonnenburg <sonne@debian.org>
+Maintainer: Soeren Sonnenburg <sonne@debian.org>
 Build-Depends: libatlas-base-dev [!powerpc !alpha !arm !armel !sh4] | liblapack-dev,
- debhelper (>= 5), libreadline-dev | libreadline5-dev, octave3.2-headers, python-dev,
- ghostscript, python-support (>= 1.0.0), python-numpy (>= 1:1.0.4-5~), cdbs,
+ debhelper (>= 5), libreadline-dev | libreadline5-dev, octave3.2-headers, python-all-dev,
+ ghostscript, python-support (>= 1.0.0), python-numpy (>= 1:1.4.1-4~), cdbs,
  r-base-core (>= 2.6.1-2), libblas-dev, swig (>= 1.3.40), xutils-dev, doxygen (>= 1.6.0),
  graphviz, texlive-latex-base, libglpk-dev, liblzo2-dev, zlib1g-dev, liblzma-dev,
- libhdf5-serial-dev (>= 1.8.3)
-XS-Python-Version: 2.7
-Standards-Version: 3.9.1.0
+ libhdf5-serial-dev (>= 1.8.3), libxml2-dev, libhdf5-serial-dev (>= 1.8.0), libjson0-dev
+XS-Python-Version: 2.6
+Standards-Version: 3.9.1
 Homepage: http://www.shogun-toolbox.org
 Vcs-Svn: http://bollin.googlecode.com/svn/shogun/trunk/
 Vcs-Browser: http://bollin.googlecode.com/svn/shogun/trunk/
 
-Package: libshogun8
+Package: libshogun9
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -43,7 +42,7 @@
 Package: libshogun-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libshogun8 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libshogun9 (= ${binary:Version})
 Description: Large Scale Machine Learning Toolbox
  SHOGUN - is a new machine learning toolbox with focus on large scale kernel
  methods and especially on Support Vector Machines (SVM) with focus to
@@ -65,10 +64,10 @@
  interfaces to Matlab(tm), R, Octave, Readline and Python. This package
  includes the developer files required to create stand-a-lone executables.
 
-Package: libshogunui5
+Package: libshogunui6
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}, libshogun8 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libshogun9 (= ${binary:Version})
 Description: Large Scale Machine Learning Toolbox
  SHOGUN - is a new machine learning toolbox with focus on large scale kernel
  methods and especially on Support Vector Machines (SVM) with focus to
@@ -93,7 +92,7 @@
 Package: libshogunui-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libshogunui5 (= ${binary:Version}),
+Depends: ${shlibs:Depends}, ${misc:Depends}, libshogunui6 (= ${binary:Version}),
  libshogun-dev
 Description: Large Scale Machine Learning Toolbox
  SHOGUN - is a new machine learning toolbox with focus on large scale kernel
@@ -174,8 +173,8 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libshogun8 (= ${binary:Version}),
- libshogunui5 (= ${binary:Version})
+Depends: ${misc:Depends}, libshogun9 (= ${binary:Version}),
+ libshogunui6 (= ${binary:Version})
 Description: Large Scale Machine Learning Toolbox
  SHOGUN - is a new machine learning toolbox with focus on large scale kernel
  methods and especially on Support Vector Machines (SVM) with focus to
@@ -200,8 +199,8 @@
 Package: shogun-python-modular
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- libshogun8 (= ${binary:Version})
-Recommends: python-numpy, python-matplotlib, python-scipy
+ libshogun9 (= ${binary:Version})
+Recommends: python-matplotlib, python-scipy
 Provides: ${python:Provides}
 Description: Large Scale Machine Learning Toolbox
  SHOGUN - is a new machine learning toolbox with focus on large scale kernel
