=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,9 @@
 DEB_SHLIBDEPS_INCLUDE := $(shell octave-config -p OCTLIBDIR) /usr/lib/atlas $(CURDIR)/src/libshogun $(CURDIR)/src/libshogunui
 DEB_COMPRESS_EXCLUDE  := .py .html .R .m .sg
 DEB_PYTHON_SYSTEM=pysupport
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-cpudetection --prefix=/usr
 R_LIBRARY_DIR         := /usr/lib/R/site-library
-LIBSHOGUN := libshogun8
-LIBSHOGUNUI := libshogunui5
+LIBSHOGUN := libshogun9
+LIBSHOGUNUI := libshogunui6
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/octave/debian/defs.make
@@ -21,13 +20,14 @@
 PYMINSTALL = $(MAKE) -C src/python_modular install \
 			DESTDIR=$(CURDIR)/debian/shogun-python-modular;
 
-patch: apply-patches
-
 # doc
 configure:: debian/stamp-configure
 debian/stamp-configure:
-	cd src && ./configure --disable-cpudetection --prefix=/usr --python=python$(PYVER)\
-		--enable-glpk --enable-readline --enable-hdf5 \
+	cd src && ./configure --disable-cpudetection --prefix=/usr \
+		--python=python$(PYVER)\
+		--enable-glpk --enable-readline --disable-svm-light \
+		--enable-hdf5 --enable-json --enable-xml \
+		--enable-lzo --enable-gzip --enable-bzip2 --enable-lzma \
 		--interfaces=libshogun,libshogunui,cmdline,r,octave,python,elwms,python_modular,octave_modular
 	touch $@
 
@@ -134,6 +134,7 @@
 	set -x; $(foreach pyver, $(PYVER), $(PYMINSTALL))
 	#set -x; $(foreach pyver, $(PYVER), $(PYTEST))
 	dh_pysupport -pshogun-python-modular
+	dh_numpy
 	touch $@
 
 # python
@@ -143,6 +144,7 @@
 	set -x; $(foreach pyver, $(PYVER), $(PYSINSTALL))
 	#set -x; $(foreach pyver, $(PYVER), $(PYTEST))
 	dh_pysupport -pshogun-python
+	dh_numpy
 	touch $@
 
 # elwms
@@ -150,6 +152,7 @@
 debian/stamp-install-elwms:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/shogun-elwms RDIR=/usr/lib/R/site-library -C src/elwms install 
 	dh_pysupport -pshogun-elwms
+	dh_numpy
 	octave-depends
 	touch $@
 
@@ -165,7 +168,7 @@
 	touch $@
 
 get-orig-source:
-	uscan --rename --force-download
+	uscan --rename --force-download --pasv
 	@echo successfully retrieved upstream tarball
 
 clean::
